<?php 
/*
Plugin Name: D-login
Plugin URI: http://www.dytri.com
Description: Plugin registration and authorization for Wordpress.
Version: 1.1
Author: DYTRI
Author URI: http://www.dytri.com
*/

//Add widget UserForm
class DWidgetUserForm extends WP_Widget
{
  //Variables
  var $dlogin_name;
  var $dlogin_description;
  
  
  function DWidgetUserForm()
  {
	//Setting variables
	$this->dlogin_description = __('Display a login form to the user', 'd-login');
	$this->dlogin_name = __('D-login Form login', 'd-login');
	
    $widget_ops = array('classname' => 'DWidgetUserForm', 'description' => $this->dlogin_description);
    $this->WP_Widget('DWidgetUserForm', $this->dlogin_name, $widget_ops);
  }
 
  function form($instance)
  {
	//Connect database
	global $wpdb;
	
	$table_wp_users  = $wpdb->prefix . 'users';
	
    $instance = wp_parse_args( (array) $instance, array( 
	'title' => '',
	'label_login' => '',
	'label_pass' => '',
	'label_btn' => '',
	'label_exit' => '',
	'page_login' => '',
	'page_reg' => '' ) );
    $title = $instance['title'];
	$label_login = $instance['label_login'];
	$label_pass = $instance['label_pass'];
	$label_btn = $instance['label_btn'];
	$label_exit = $instance['label_exit'];
	$page_login = $instance['page_login'];
	$page_reg = $instance['page_reg'];

  echo '<p><label for="'.$this->get_field_id('title').'">'.__('Title', 'd-login').': <input class="widefat" id="'.$this->get_field_id('title').'" name="'. $this->get_field_name('title').'" type="text" value="'.attribute_escape($title).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('label_login').'">'.__('Label login', 'd-login').': <input class="widefat" id="'.$this->get_field_id('label_login').'" name="'. $this->get_field_name('label_login').'" type="text" value="'.attribute_escape($label_login).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('label_pass').'">'.__('Label password', 'd-login').': <input class="widefat" id="'.$this->get_field_id('label_pass').'" name="'. $this->get_field_name('label_pass').'" type="text" value="'.attribute_escape($label_pass).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('label_btn').'">'.__('Label enter', 'd-login').': <input class="widefat" id="'.$this->get_field_id('label_btn').'" name="'. $this->get_field_name('label_btn').'" type="text" value="'.attribute_escape($label_btn).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('label_exit').'">'.__('Label logout', 'd-login').': <input class="widefat" id="'.$this->get_field_id('label_exit').'" name="'. $this->get_field_name('label_exit').'" type="text" value="'.attribute_escape($label_exit).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('page_login').'">'.__('Login page (full link)', 'd-login').': <input class="widefat" id="'.$this->get_field_id('page_login').'" name="'. $this->get_field_name('page_login').'" type="text" value="'.attribute_escape($page_login).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('page_reg').'">'.__('Registration page (full link)', 'd-login').': <input class="widefat" id="'.$this->get_field_id('page_reg').'" name="'. $this->get_field_name('page_reg').'" type="text" value="'.attribute_escape($page_reg).'" /></label></p>';
  
  
  } //end form
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
	$instance['label_login'] = $new_instance['label_login'];
	$instance['label_pass'] = $new_instance['label_pass'];
	$instance['label_btn'] = $new_instance['label_btn'];
	$instance['label_exit'] = $new_instance['label_exit'];
	$instance['page_login'] = $new_instance['page_login'];
	$instance['page_reg'] = $new_instance['page_reg'];
	
	delete_option('d-login-page');
	delete_option('d-reg-page');
	add_option('d-login-page', $instance['page_login']);
	add_option('d-reg-page', $instance['page_reg']);
	
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$label_login = $instance['label_login'];
	$label_pass = $instance['label_pass'];
	$label_btn = $instance['label_btn'];
	$label_exit = $instance['label_exit'];
	$page_login = $instance['page_login'];
	$page_reg = $instance['page_reg'];
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
    // WIDGET CODE
	/*---------------------------------------------------------------------------------------------------*/
	global $wpdb;
	
	if ( !(is_user_logged_in()) ) {
		echo '
		<form class="d-login-user-form" action="'.$page_login.'" method="post">
		<label for="d-login-user-name">'.$label_login.'</label>
		<input name="d-login-user-name" class="d-login-user-name" type="text" />
		<label for="d-login-user-name">'.$label_pass.'</label>
		<input name="d-login-user-pass" class="d-login-user-pass" type="password" />
		<input name="d-login-user-login-btn" type="submit" value="'.$label_btn.'" />
		</form>
		<a href="'.$page_login.'/?remember-1">'.__('Forgot password?', 'd-login').'</a>
		<a href="'.$page_reg.'">'.__('Registration', 'd-login').'</a>
		';
	} else {
		echo '
		<div>
		<a class="d-msg-in-site-logout" href="'.wp_logout_url( home_url() ).'">'.$label_exit.'</a>
		</div>
		';
	}
	/*---------------------------------------------------------------------------------------------------*/
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("DWidgetUserForm");') );
?>